/*
 * $Id: XML_singleton.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/XML.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "XML::singleton"
  bool XML::singleton (std::string name)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    
    bool _return;

    if (not singleton_begin(name)) 
      _return = false;
    else
      _return = singleton_end  ();

    log_printf(FUNC,Behavioural,FUNCTION,"End");
    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
